Developer Documentation

Public Member Functions | List of all members
PropertyModel Class Referenceabstract
Inheritance diagram for PropertyModel:

## Public Member Functions
virtual void | pickModeChanged (const std::string &_mode)
virtual void | mouseEvent (QMouseEvent *_event)
| PropertyModel (QObject *parent=0)
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const =0
virtual QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const =0
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const =0
virtual void | objectUpdated ()=0
| Revisualizes visualized properties.
virtual void | visualize (QModelIndexList selectedIndices, QWidgetList widgets=QWidgetList())=0
| Visualizes the selected properties.
virtual void | removeProperty (QModelIndexList selectedIndices)=0
| Removes the selected properties.
virtual void | duplicateProperty (QModelIndexList selectedIndices)=0
| Duplicates the selected properties.
virtual void | gatherProperties ()=0
| Searches for properties and creates PropertyVisualizers.
virtual void | clear (QModelIndexList selectedIndices)=0
| Clears the selected property visualization.
virtual void | hideWidget ()=0
| Hides the widget.
virtual QWidget * | getWidget ()=0
| Returns the widget.
virtual void | updateWidget (const QModelIndexList &selectedIndices)=0
| Updates the widget.
virtual void | connectLogs (PropertyVisualizer *propViz)=0
| Connects the PropertyVisualizer log signals with the log slot.
virtual PropertyInfo | getPropertyInfo (const QModelIndex index) const =0
| Returns the property info for the property with the given index.
QModelIndex | indexFromFancyPropName (const QString &propName) const
| Returns the index of the property with the given name.
QModelIndex | indexFromPlainPropName (const QString &propName) const
| Returns the index of the property with the given name.

## Detailed Description

Definition at line 52 of file PropertyModel.hh.

The documentation for this class was generated from the following files:

- Plugin-PropertyVis/Models/PropertyModel.hh
- Plugin-PropertyVis/Models/PropertyModel.cc